version: '3.8'
services:
  gateway:
    container_name: ${APP_NAME}_api
    build: .
    env_file: .env
    command: bash -c "cd /go/src/${REPOSITORY} && go mod tidy && go run ./cmd/api"
    restart: always
    volumes:
      - ./:/go/src/${REPOSITORY}
    environment:
      - VIRTUAL_HOST=${ENDPOINT}
      - LETSENCRYPT_HOST=${ENDPOINT}
      - VIRTUAL_PORT=${SERVER_PORT}
      - REPOSITORY=${REPOSITORY}
    ports:
      - ${HOST}:${SERVER_PORT}:${SERVER_PORT}
    networks:
      - skynet
      - internal_net
    logging:
      options:
        max-size: "10m"
        max-file: "3"
  message-broker:
    image: rabbitmq:3.12-management-alpine
    container_name: ${APP_NAME}_message-broker
    hostname: notificator
    restart: always
    ports:
      - ${HOST}:${BROKER_SENDER_PORT}:${BROKER_SENDER_PORT}
      - ${HOST}:${BROKER_GUI_PORT}:${BROKER_GUI_PORT}
    networks:
      - internal_net
    logging:
      options:
        max-size: "10m"
        max-file: "3"
networks:
  internal_net:
    name: internal_net
  skynet:
    external: true
    name: skynet